Groovy 1.7.0

## org.codehaus.groovy.reflection
Class ClassInfo.DebugRef

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference
          org.codehaus.groovy.reflection.ClassInfo.DebugRef

    class ClassInfo.DebugRef
    extends ManagedReference

Field Summary
`static boolean` | `debug`
`String` | `name`

Constructor Summary
`ClassInfo.DebugRef(Class klazz)`

Method Summary
`void` | `finalizeRef()`

Methods inherited from class ManagedReference
clear, finalizeReference, get

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### debug

    static final boolean debug

### name

    final String name

Constructor Detail

### ClassInfo.DebugRef

    public ClassInfo.DebugRef(Class klazz)

Method Detail

### finalizeRef

    public void finalizeRef()

Copyright © 2003-2009 The Codehaus. All rights reserved.